RDKit: RDKit::QueryAtomIterator_< Atom_, Mol_ > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::QueryAtomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over atoms matching a query. This is bidirectional. More...

`#include <AtomIterators.h>`

## Public Types
typedef QueryAtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions
| QueryAtomIterator_ ()
| QueryAtomIterator_ (Mol_ *mol, QueryAtom const *what)
| QueryAtomIterator_ (Mol_ *mol, int pos)
| ~QueryAtomIterator_ ()
| QueryAtomIterator_ (const ThisType &other)
QueryAtomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
Atom_ * | operator* () const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

template<class Atom_, class Mol_>
class RDKit::QueryAtomIterator_< Atom_, Mol_ >

Iterate over atoms matching a query. This is bidirectional.

Definition at line 144 of file AtomIterators.h.

## Member Typedef Documentation

## ◆ ThisType

template<class Atom_, class Mol_>

typedef QueryAtomIterator_<Atom_, Mol_> RDKit::QueryAtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 146 of file AtomIterators.h.

## Constructor & Destructor Documentation

## ◆ QueryAtomIterator_() [1/4]

template<class Atom_, class Mol_>

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( |  | ) |
| inline

Definition at line 147 of file AtomIterators.h.

Referenced by operator=().

## ◆ QueryAtomIterator_() [2/4]

template<class Atom_, class Mol_>

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | Mol_ * | mol,
|  | QueryAtom const * | what )

## ◆ QueryAtomIterator_() [3/4]

template<class Atom_, class Mol_>

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | Mol_ * | mol,
|  | int | pos )

## ◆ ~QueryAtomIterator_()

template<class Atom_, class Mol_>

RDKit::QueryAtomIterator_< Atom_, Mol_ >::~QueryAtomIterator_ | ( |  | ) |

## ◆ QueryAtomIterator_() [4/4]

template<class Atom_, class Mol_>

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

## ◆ operator!=()

template<class Atom_, class Mol_>

bool RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

## ◆ operator*()

template<class Atom_, class Mol_>

Atom_ * RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

## ◆ operator--() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

## ◆ operator--() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

## ◆ operator=()

template<class Atom_, class Mol_>

QueryAtomIterator_ & RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

References QueryAtomIterator_().

## ◆ operator==()

template<class Atom_, class Mol_>

bool RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h